%define name	pngtools
%define version	0.4
%define release	 %mkrel 2

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Suite of utilities to work with PNG images
Source0:	http://www.stillhq.com/pngtools/source/%{name}_0_4.tgz
Source1:	pngchunks.1
Patch0:		pngtools-0.4-mga-man-section.patch
License:	GPLv2
Group:		Graphics/Utilities
URL:		http://www.stillhq.com/pngtools/
BuildRequires:	pkgconfig(libpng12)

%description
Provides a series of handy PNG tools:
- pngchunkdesc: decodes the "hidden" information in a PNG chunk name
- pngchunks: decodes the constituent parts of a PNG file
- pngcp: copies a PNG image while changing the bit depth or samples per pixel
- pnginfo: displays interesting information about a PNG file

%prep
%setup -q
%patch0 -p1

%build
%configure2_5x CPPFLAGS=-I/usr/include/libpng12
# The configure script doesn't allow linking against anything other than
# libpng, so override the configured libs with the right one
%make LIBS='-lm -lpng12'

%install
%makeinstall
mkdir -p %{buildroot}%{_mandir}/man1
install -m 0644 man/pngchunkdesc.3 %{buildroot}/%{_mandir}/man1/pngchunkdesc.1
install -m 0644 man/pngcp.3 %{buildroot}/%{_mandir}/man1/pngcp.1
install -m 0644 man/pnginfo.3 %{buildroot}/%{_mandir}/man1/pnginfo.1
install -m 0644 %{_sourcedir}/pngchunks.1 %{buildroot}/%{_mandir}/man1/pngchunks.1

%files
%doc AUTHORS README
%{_bindir}/pngchunkdesc
%{_bindir}/pngchunks
%{_bindir}/pngcp
%{_bindir}/pnginfo
%{_mandir}/man1/pngchunkdesc.1*
%{_mandir}/man1/pngchunks.1*
%{_mandir}/man1/pngcp.1*
%{_mandir}/man1/pnginfo.1*


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 0.4-2.mga4
+ Revision: 528995
- Mageia 4 Mass Rebuild

* Sun Jun 30 2013 pterjan <pterjan> 0.4-1.mga4
+ Revision: 448501
- Changed BuildRequires to use pkgconfig() instead of libpng12-devel

  + danf <danf>
    - initial creation of pngtools package

